Subject: bug#23937: 25.0.95; Search functions doc fixes/improvements

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jul 2016 16:10:28 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 12 Jul 2016 14:26:12 +0200
> 
>   Set point to the beginning of the occurrence found, and return point.
>   An optional second argument bounds the search; it is a buffer position.
>     The match found must start at or after that position.  A value of nil
>     means search to the beginning of the accessible portion of the buffer.
>   Optional third argument, if t, means if fail just return nil (no error).
>     If not nil and not t, move to limit of search and return nil.
>   Optional fourth argument COUNT, if a positive number, means to search
>     for COUNT successive occurrences.  If COUNT is negative, search
>     forward, instead of backward, for -COUNT occurrences.  A value of
>     nil means the same as 1.
>   The match found is the COUNTth to last one (or last, if COUNT is 1 or
>     nil) in the buffer located entirely before the origin of the search.

LGTM, thanks.

> If you are ok with this, should I add these two lines to all
> *search-backward and (suitably adapted) *search-forward functions?  (The
> two lines are currently only in {re,posix}-search-backward.)

It's better for all those doc strings to be consistent, yes.